#!/usr/bin/env bash

# Compile Exp Code
cd code/libmf_long_nmf; make clean all; cd -;
cd code/libpmf-exp; make clean all; cd -;
cd code/mf_dsgd_long/mf; make clean all; cd -;
cd code/mf_lockfree_long/mf; make clean all; cd -;
cd code/mf_random_long/mf; make clean all; cd -;
cd code/mf_v3_long/mf; make clean all; cd -;
cd code/mf_v3_pq_long/mf; make clean all; cd -;
rm .data_list

# Convert Data to Binary
rm .data_list
#for data in 'ml' 'nf' 'ym' 'hw';
for data in 'ml';
do
    echo ${data} >> .data_list
    CMD='echo ${data} >> .data_list'
    CMD='./code/mf_v3_long/mf/mf convert ./data/'${data}'/'${data}'.tr ./data/'${data}'/'${data}'.tr.bin'
    echo $CMD
    $CMD
    CMD='./code/mf_v3_long/mf/mf convert ./data/'${data}'/'${data}'.te ./data/'${data}'/'${data}'.te.bin'
    echo $CMD
    $CMD
    CMD='./code/libmf_long_nmf/libmf convert ./data/'${data}'/'${data}'.tr ./data/'${data}'/'${data}'.tr.bin.nmf'
    echo $CMD
    $CMD
    CMD='./code/libmf_long_nmf/libmf convert ./data/'${data}'/'${data}'.te ./data/'${data}'/'${data}'.te.bin.nmf'
    echo $CMD
    $CMD
    CMD='./code/libpmf-exp/pmf-data-converter ./data/'${data}'/libpmf'
    echo $CMD
    $CMD
done

## Run All Exp
./run.py

# Parse Log
./parse_log.py


# Draw the Plot
./plot.py
